unit xrninit;
interface
implementation
uses overlay,crt;
var tmp:byte;
const ovrmaxsize=22000;
begin
  ovrinit('RANCHTST.OVR');
  if
    ovrresult=ovrnotfound
  then
    begin
      tmp:=textattr;
      textattr:=lightred;
      writeln;
      writeln('Fatal!  RANCHO.OVR has vanished!  Re-Install Rancho from the');
      writeln('Official Distribution Archive!');
      textattr:=tmp;
      halt;
    end;
  ovrinitems;
  ovrsetbuf(ovrmaxsize);
end.
